> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentvehiclecrashevent.md).

# SENTVehicleCrashEvent

Represents a vehicle crash event detected by the Sentiance SDK.

### confidence

Returns a confidence value between 0 and 100.

```
@property (assign) NSInteger confidence;
```

### date

Returns the date of the crash in the UTC

```
@property (strong, nonatomic) NSDate *date;
```

### deltaV

Returns the delta-v estimated over the peak duration, in m/s.

```
@property (assign) Float32 deltaV;
```

### detectorMode

Returns the crash detection mode that was active when this crash event was detected.\
The SDK supports multiple detection modes, each optimized for specific vehicle types. For example, in 'car' mode, crash detection is limited to incidents involving cars. The appropriate detection mode is automatically selected by the SDK based on several factors. See [SENTVehicleCrashDetectorMode](/important-topics/sdk/api-reference/ios/sentvehiclecrashevent/useractivitytype.md).

```
@property (assign) SENTVehicleCrashDetectorMode detectorMode;
```

### location

Returns the last known location prior to the crash.

```
@property (strong, nonatomic) CLLocation *location;
```

### magnitude

Returns the magnitude of the crash event in m/s2.

```
@property (assign) Float32 magnitude;
```

### precedingLocations

Returns a list of recent locations that lead up to this crash. Locations are ordered from oldest to most recent.

```
@property (strong, nonatomic) NSArray<CLLocation *> *precedingLocations;
```

### severity

Returns the severity of the crash event. See SENTVehicleCrashSeverity.

```
@property (assign) SENTVehicleCrashSeverity severity;
```

### speedAtImpact

Returns the inferred speed at the moment of impact, in m/s.

```
@property (assign) Float32 speedAtImpact;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentvehiclecrashevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
